-- EA3004G4M.ADA

--                             Grant of Unlimited Rights
--
--     Under contracts F33600-87-D-0337, F33600-84-D-0280, MDA903-79-C-0687 and
--     F08630-91-C-0015, the U.S. Government obtained unlimited rights in the
--     software and documentation contained herein.  Unlimited rights are 
--     defined in DFAR 252.227-7013(a)(19).  By making this public release, 
--     the Government intends to confer upon all recipients unlimited rights
--     equal to those held by the Government.  These rights include rights to
--     use, duplicate, release or disclose the released technical data and
--     computer software in whole or in part, in any manner and for any purpose
--     whatsoever, and to have or permit others to do so.
--
--                                    DISCLAIMER
--
--     ALL MATERIALS OR INFORMATION HEREIN RELEASED, MADE AVAILABLE OR
--     DISCLOSED ARE AS IS.  THE GOVERNMENT MAKES NO EXPRESS OR IMPLIED 
--     WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING THE CONDITIONS OF THE
--     SOFTWARE, DOCUMENTATION OR OTHER INFORMATION RELEASED, MADE AVAILABLE 
--     OR DISCLOSED, OR THE OWNERSHIP, MERCHANTABILITY, OR FITNESS FOR A
--     PARTICULAR PURPOSE OF SAID MATERIAL.
--*
-- OBJECTIVE:
--     CHECK THAT, IF THE BODY OF AN INLINE FUNCTION IS MODIFIED,
--     ALL UNITS CALLING THAT FUNCTION AS AN INLINE FUNCTION
--     MUST BE RECOMPILED.  

--     THIS TEST CHECKS THE CASE OF A FUNCTION CALLED FROM A
--     PACKAGE SPECIFICATION.

-- SEPARATE FILES ARE:
--     EA3004G0  A LIBRARY FUNCTION DECLARATION (EA3004G0).
--     EA3004G1  A LIBRARY FUNCTION BODY (EA3004G0).
--     EA3004G2  A LIBRARY PACKAGE DECLARATION.
--     EA3004G3  A LIBRARY FUNCTION BODY (EA3004G0).
--     EA3004G4M THE MAIN PROCEDURE.

-- PASS/FAIL CRITERIA:
--     IF THE INLINE PRAGMA IS SUPPORTED FOR FUNCTIONS, THEN EXPECT TO
--     GET COMPILE-TIME ERROR MESSAGES WHERE INDICATED IN THIS FILE.
--     OTHERWISE, IF PRAGMA INLINE IS NOT SUPPORTED, THEN THIS TEST
--     SHOULD EXECUTE AND REPORT "NOT-APPLICABLE".

-- HISTORY:
--     RJW 01/31/90  CREATED ORIGNAL TEST FROM SPLIT OF EA3004D.

WITH REPORT; USE REPORT;
WITH EA3004G2;           -- ERROR: OBSOLETE OR MISSING.

PROCEDURE EA3004G4M IS

     TEMP_I : INTEGER;

BEGIN
     TEST ("EA3004G", "MODIFYING THE BODY OF AN INLINE FUNCTION " &
                      "REQUIRES RECOMPILATION OF CALLING UNITS. " &
                      "THIS TEST CHECKS THE CASE OF A FUNCTION " &
                      "CALLED FROM A PACKAGE SPECIFICATION");

     CASE EA3004G2.I IS
          WHEN 5 =>
               FAILED ("INLINE PRAGMA OBEYED BUT CALLING PACKAGE " &
                       "DECLARATION NOT RECOMPILED");
          WHEN 9 =>
               NOT_APPLICABLE ("INLINE PRAGMA NOT OBEYED IN CALL " &
                               "FROM PACKAGE DECLARATION");
          WHEN OTHERS =>
               FAILED ("WRONG VALUE RETURNED BY PACKAGE");
     END CASE;

     RESULT;
END EA3004G4M;
