-- LA1001F.ADA

--                             Grant of Unlimited Rights
--
--     Under contracts F33600-87-D-0337, F33600-84-D-0280, MDA903-79-C-0687 and
--     F08630-91-C-0015, the U.S. Government obtained unlimited rights in the
--     software and documentation contained herein.  Unlimited rights are 
--     defined in DFAR 252.227-7013(a)(19).  By making this public release, 
--     the Government intends to confer upon all recipients unlimited rights
--     equal to those held by the Government.  These rights include rights to
--     use, duplicate, release or disclose the released technical data and
--     computer software in whole or in part, in any manner and for any purpose
--     whatsoever, and to have or permit others to do so.
--
--                                    DISCLAIMER
--
--     ALL MATERIALS OR INFORMATION HEREIN RELEASED, MADE AVAILABLE OR
--     DISCLOSED ARE AS IS.  THE GOVERNMENT MAKES NO EXPRESS OR IMPLIED 
--     WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING THE CONDITIONS OF THE
--     SOFTWARE, DOCUMENTATION OR OTHER INFORMATION RELEASED, MADE AVAILABLE 
--     OR DISCLOSED, OR THE OWNERSHIP, MERCHANTABILITY, OR FITNESS FOR A
--     PARTICULAR PURPOSE OF SAID MATERIAL.
--*
-- OBJECTIVE:
--     CHECK THAT A PACKAGE CANNOT BE NAMED AS A MAIN PROGRAM.

-- HISTORY:
--     JET 08/12/88  CREATED ORIGINAL TEST.
-- PWN 11/30/94 ADDED A PROCEDURE TO KEEP PACKAGE BODIES LEGAL.

PACKAGE LA1001F IS

     PROCEDURE REQUIRE_BODY;

END LA1001F;

WITH REPORT; USE REPORT;
PRAGMA ELABORATE(REPORT);
PACKAGE BODY LA1001F IS

     PROCEDURE REQUIRE_BODY IS
     BEGIN
       FAILED("PACKAGE WAS IMPROPERLY LINKED AND EXECUTED");
     END;

BEGIN
     TEST("LA1001F", "CHECK THAT A PACKAGE CANNOT BE NAMED AS A " &
                      "MAIN PROGRAM");

     FAILED("PACKAGE WAS IMPROPERLY LINKED AND EXECUTED");

     RESULT;
END LA1001F;
